## ros-kinetic-rocon-test 0.8.1

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(rocon_test)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED)
catkin_package(
  CFG_EXTRAS rocon_test-extras.cmake
)

catkin_python_setup()
catkin_add_env_hooks(15.rocon_test SHELLS bash tcsh zsh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)

##############################################################################
# Installs
##############################################################################

install(DIRECTORY test DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION} USE_SOURCE_PERMISSIONS)
install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY shells DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(
    PROGRAMS 
        scripts/listener.py
        scripts/talker.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    )

=== debian/changelog ===
ros-kinetic-rocon-test (0.8.1-2xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 12 Oct 2016 01:13:41 -0000

ros-kinetic-rocon-test (0.7.10-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-kinetic-rocon-test (0.7.9-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-kinetic-rocon-test (0.7.8-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 Apr 2015 15:00:00 -0000

ros-kinetic-rocon-test (0.7.7-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-kinetic-rocon-test (0.7.6-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-kinetic-rocon-test (0.7.5-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 22 Sep 2014 15:00:00 -0000

ros-kinetic-rocon-test (0.7.4-2xenial) xenial; urgency=high

  * Merge branch 'indigo' into hydro-devel
  * adding back the rostest in rocon_test
  * unconfigured build_depend on 'rostest
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-kinetic-rocon-test (0.7.3-2xenial) xenial; urgency=high

  * update for the new rocon launch api.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 25 May 2014 15:00:00 -0000

ros-kinetic-rocon-test (0.7.0-2xenial) xenial; urgency=high

  * bugfix rocon test breakage due to rocon_launch arg mapping api change.
  * update for recently moved modules to rocon_tools.
  * utilities broken up and moved to rocon tools.
  * fix rocon_test logging for ctest execution, #200 <https://github.com/robotics-in-concert/rocon_multimaster/issues/200>
  * fix rocon_tests, closes #157 <https://github.com/robotics-in-concert/rocon_multimaster/issues/157>
  * using wallsleep clock instead of rospy.sleep. progress towards #191 <https://github.com/robotics-in-concert/rocon_multimaster/issues/191>
  * Contributors: Daniel Stonier, Piyush Khandelwal

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 15 Apr 2014 15:00:00 -0000

ros-kinetic-rocon-test (0.5.0-2xenial) xenial; urgency=high

  * trivial readme update - more explanatory first line.
  * Follow up for test parent launchers to allow multiple launching on
    the one ros system for rocon tests. I did it previoously for roslaunch
    parents - this one is for test parents.
  * make sure uuid's follow pre-launched configuration.
  * disabling core services for parent roslaunchers.
  * pause mode for rocon test implemented.
  * text mode for rocon_test implemented (quite fugly though, but better than nothing).
  * trivial printlog debugging for roslaunch parents in rocon_test.
  * 0.4.0
  * readme documentation.
  * test_parent -> parent.
  * regular launch parent for non-test launchers.
  * bugfix a share directory variable typo.
  * file shuffle.
  * cmake module for add_rocon_test.
  * wooha...rocon_test, a multimaster rostest is working. Actually lots of previous commits leading to this, and probably lots of bugs...but its working
  * about to embark on a radical update to rocon tests now I know what's going on.
  * test runner is working on the individual launchers.
  * more on rocon_test, automatic enumeration of ports for rocon_launch
  * basically rocon-test = rostest.
  * rocon test development.
  * starting a rocon test framework.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 May 2013 02:03:00 -0000

ros-kinetic-rocon-test (0.3.0-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 04 Feb 2013 15:00:00 -0000

ros-kinetic-rocon-test (0.2.2-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 30 Jan 2013 15:00:00 -0000

ros-kinetic-rocon-test (0.2.1-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 23 Dec 2012 15:00:00 -0000

ros-kinetic-rocon-test (0.2.0-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 23 Dec 2012 05:05:00 -0000

ros-kinetic-rocon-test (0.1.9-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 24 Dec 2012 15:00:00 -0000

ros-kinetic-rocon-test (0.1.8-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 23 Dec 2012 04:59:00 -0000

ros-kinetic-rocon-test (0.1.7-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 12 Dec 2012 15:00:00 -0000

ros-kinetic-rocon-test (0.1.6-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 11 Dec 2012 15:00:00 -0000

ros-kinetic-rocon-test (0.1.5-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 08 Dec 2012 15:00:00 -0000

ros-kinetic-rocon-test (0.1.4-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 07 Dec 2012 15:00:00 -0000

ros-kinetic-rocon-test (0.1.3-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 06 Dec 2012 15:00:00 -0000

ros-kinetic-rocon-test (0.1.2-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 24 Nov 2012 09:09:00 -0000

ros-kinetic-rocon-test (0.1.1-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 24 Nov 2012 06:57:00 -0000

ros-kinetic-rocon-test (0.1.0-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 13 Nov 2012 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rocon-test
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-rostest
Homepage: http://ros.org/wiki/rocon_test
Standards-Version: 3.9.2

Package: ros-kinetic-rocon-test
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-rocon-console, ros-kinetic-rocon-launch, ros-kinetic-rocon-python-utils, ros-kinetic-roslaunch, ros-kinetic-rospy, ros-kinetic-rostest, ros-kinetic-rosunit
Description: Rocon test framework (i.e.
 multi-launch rostest framework).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rocon-test//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
